Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
20.10.2021, 15:53:05

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
Statistiken
  • Beiträge insgesamt: 758758
  • Themen insgesamt: 60975
  • Heute online: 714
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online

Autor Thema: [gelöst]  Brave - Browser Installation  (Gelesen 310 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

[gelöst] Brave - Browser Installation
« am: 16.09.2021, 09:23:37 »
Ich nutze noch ein Cinnamon unter LM18.3 (64)
Da es EOL ist, läuft noch der FF 88. Ich wollte zwar immer mal auf einen sich selbst updatenden FF umstellen, aber >never toutch a runnig system< und die Unsicherheit mit den Detaills hielt mich ab.
------------
Nun erwäge ich gleich auf den Brave Browser umzusteigen.
https://brave.com/linux/#debian-9-ubuntu-1604-and-mint-18
Darf ich einen der alten Hasen hier bitten, ein Äuglein auf diese Anleitung zu werfen, ob ich das so machen kann:
sudo apt install apt-transport-https curl

sudo curl -fsSLo /usr/share/keyrings/brave-browser-archive-keyring.gpg https://brave-browser-apt-release.s3.brave.com/brave-browser-archive-keyring.gpg

echo "deb [signed-by=/usr/share/keyrings/brave-browser-archive-keyring.gpg arch=amd64] https://brave-browser-apt-release.s3.brave.com/ stable main"|sudo tee /etc/apt/sources.list.d/brave-browser-release.list

sudo apt update

sudo apt install brave-browser
« Letzte Änderung: 16.09.2021, 12:03:59 von Allfred »

Re: Brave - Browser Installation
« Antwort #1 am: 16.09.2021, 10:22:22 »
Nein - als "alten Hasen" würde ich mich noch lange nicht bezeichnen. Man weiß halt so das Eine und das Andere.

Also ich benutze den Brave schon länger und habe so installiert:

sudo apt install apt-transport-https curl gnupg

curl -s https://brave-browser-apt-release.s3.brave.com/brave-core.asc | sudo apt-key --keyring /etc/apt/trusted.gpg.d/brave-browser-release.gpg add -

echo "deb [arch=amd64] https://brave-browser-apt-release.s3.brave.com/ stable main" | sudo tee /etc/apt/sources.list.d/brave-browser-release.list

sudo apt update

sudo apt install brave-browser

Re: Brave - Browser Installation
« Antwort #2 am: 16.09.2021, 10:40:20 »
sudo apt update bringt bei mir den Vorschlag, daß ich »apt list --upgradable« machen soll.
Soll ich ?  ::) oder kann ich mit »sudo apt install brave-browser« weiter machen?

sudo apt update
OK:1 http://archive.ubuntu.com/ubuntu xenial InRelease
OK:2 http://archive.canonical.com/ubuntu xenial InRelease                     
Holen:3 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]     
Holen:4 https://brave-browser-apt-release.s3.brave.com stable InRelease [4.317 B]
Holen:5 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]   
Ign:6 http://packages.linuxmint.com sylvia InRelease                           
Holen:7 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
Holen:8 https://brave-browser-apt-release.s3.brave.com stable/main amd64 Packages [4.880 B]
OK:9 http://packages.linuxmint.com sylvia Release                             
Es wurden 334 kB in 0 s geholt (464 kB/s).                                     
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Aktualisierung für 1 Paket verfügbar. Führen Sie »apt list --upgradable« aus, um es anzuzeigen.

Re: Brave - Browser Installation
« Antwort #3 am: 16.09.2021, 11:01:15 »
Soll ich ?  
Es ist überaus gefährlich, sich eine Liste der neueren Pakete anzeigen zu lassen, die installiert werden können. ;D
Aber hier überflüssig, da du es ja bereits kennst. ;)

Re: Brave - Browser Installation
« Antwort #4 am: 16.09.2021, 11:11:43 »
Vorsicht ist die Mutter der Porzellankiste.
sudo apt install brave-browser
[sudo] Passwort für mint:
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  libgsoap8 libllvm5.0 libnotify-bin
Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
Die folgenden zusätzlichen Pakete werden installiert:
  brave-keyring
Empfohlene Pakete:
  libu2f-udev libvulkan1
Die folgenden NEUEN Pakete werden installiert:
  brave-browser brave-keyring
0 aktualisiert, 2 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
Es müssen 91,7 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 285 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] j
Holen:1 https://brave-browser-apt-release.s3.brave.com stable/main amd64 brave-keyring all 1.12 [4.236 B]
Holen:2 https://brave-browser-apt-release.s3.brave.com stable/main amd64 brave-browser amd64 1.29.81 [91,7 MB]
Es wurden 91,7 MB in 8 s geholt (11,2 MB/s).                                   
Vormals nicht ausgewähltes Paket brave-keyring wird gewählt.
(Lese Datenbank ... 269809 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../brave-keyring_1.12_all.deb ...
Entpacken von brave-keyring (1.12) ...
Vormals nicht ausgewähltes Paket brave-browser wird gewählt.
Vorbereitung zum Entpacken von .../brave-browser_1.29.81_amd64.deb ...
Entpacken von brave-browser (1.29.81) ...
Trigger für gnome-menus (3.13.3-6ubuntu3.1) werden verarbeitet ...
Trigger für desktop-file-utils (0.22+linuxmint1) werden verarbeitet ...
Trigger für mime-support (3.59ubuntu1) werden verarbeitet ...
Trigger für man-db (2.7.5-1) werden verarbeitet ...
brave-keyring (1.12) wird eingerichtet ...
brave-browser (1.29.81) wird eingerichtet ...
update-alternatives: /usr/bin/brave-browser-stable wird verwendet, um /usr/bin/x-www-browser (x-www-browser) im automatischen Modus bereitzustellen
update-alternatives: /usr/bin/brave-browser-stable wird verwendet, um /usr/bin/gnome-www-browser (gnome-www-browser) im automatischen Modus bereitzustellen
update-alternatives: /usr/bin/brave-browser-stable wird verwendet, um /usr/bin/brave-browser (brave-browser) im automatischen Modus bereitzustellen

»Empfohlene Pakete:  libu2f-udev libvulkan1«
Sollte ich die empfohlenen Pakete auch installieren?

Re: Brave - Browser Installation
« Antwort #5 am: 16.09.2021, 11:20:01 »
Vorsicht ist die Mutter der Porzellankiste.
Sagt der, der ein totes System ins Internet lässt...? ::)
Sollte ich die empfohlenen Pakete auch installieren?
Wenn dir das bei einem EoL System noch gelingt?

Re: Brave - Browser Installation
« Antwort #6 am: 16.09.2021, 11:29:09 »
EOL ist nicht nur schlecht. Alle paar Wochen, zuletzt 2021-08-19 kommen noch Updates, dafür entfallen jede Menge Updates, welche wiederum fehlerträchtig sind. LM18.3 läuft prima.

Re: Brave - Browser Installation
« Antwort #7 am: 16.09.2021, 11:40:58 »
Off-Topic:
Lassen wir das mal so stehen. ::)
Bitte noch gelöst setzen, wenn dein Brave dann funktioniert.